Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.blocks
Class PhiBall

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.imp3d.objects.ShadedNull
                      de.grogra.imp3d.objects.Sphere
                          de.grogra.blocks.PhiBall

All Implemented Interfaces:
  Transformation, Pickable, Raytraceable, Renderable, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, Instantiator<Instantiation>, java.io.Serializable

    public class PhiBall

extends Sphere
implements Instantiator<Instantiation>

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.imp3d.objects.Sphere
`Sphere.Pattern`

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `angle1$FIELD`
`static Node.NType.Field` | `angle2$FIELD`
`static Node.NType.Field` | `angleMode$FIELD`
`static Node.NType.Field` | `fan1$FIELD`
`static Node.NType.Field` | `fan2$FIELD`
`static Node.NType.Field` | `fanMode$FIELD`
`static Node.NType.Field` | `geometry$FIELD`
`static Node.NType.Field` | `influence$FIELD`
`static Node.NType.Field` | `initAll$FIELD`
`static Node.NType.Field` | `locationParameter$FIELD`
`static Node.NType.Field` | `lod$FIELD`
`static Node.NType.Field` | `number$FIELD`
`static Node.NType.Field` | `radiusX$FIELD`
`static Node.NType.Field` | `radiusY$FIELD`
`static Node.NType.Field` | `radiusZ$FIELD`
`static Node.NType.Field` | `scale1$FIELD`
`static Node.NType.Field` | `scale2$FIELD`
`static Node.NType.Field` | `scaleMode$FIELD`
`static Node.NType.Field` | `trans1$FIELD`
`static Node.NType.Field` | `trans2$FIELD`
`static Node.NType.Field` | `transMode$FIELD`

Fields inherited from class de.grogra.imp3d.objects.Sphere
`radius, radius$FIELD`

Fields inherited from class de.grogra.imp3d.objects.ShadedNull
`INFINITE_MASK, interior, interior$FIELD, shader, shader$FIELD, treatedAsInfinite$FIELD, USED_BITS`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`PhiBall()`
`PhiBall(float n)`
`PhiBall(float n, float radius)`

Method Summary
`void` | `fieldModified(PersistenceField field, int[] indices, Transaction t)`
`float` | `getAbsoluteHeight()`
`float` | `getAngle1()`
`float` | `getAngle2()`
`FloatToFloat` | `getAngleMode()`
`int` | `getChildId()`
`float` | `getDensity()`
`float` | `getFan1()`
`float` | `getFan2()`
`FloatToFloat` | `getFanMode()`
`float` | `getInfluence()`
`Instantiator` | `getInstantiator()`
`float` | `getLocalHeight()`
`LocationParameterBase` | `getLocationParameter()`
`PhiBallLOD` | `getLod()`
`float` | `getN1()`
`float` | `getN2()`
`float` | `getN3()`
`protected Node.NType` | `getNTypeImpl()` This method returns the `Node.NType` which describes the managed fields of the class of this node.
`float` | `getNumber()`
`int` | `getParentId()`
`float` | `getRadiusX()`
`float` | `getRadiusY()`
`float` | `getRadiusZ()`
`float` | `getScale1()`
`float` | `getScale2()`
`FloatToFloat` | `getScaleMode()`
`int` | `getThisId()`
`float` | `getTrans1()`
`float` | `getTrans2()`
`FloatToFloat` | `getTransMode()`
`void` | `instantiate(Instantiation state)`
`boolean` | `isGeometry()`
`boolean` | `isInitAll()`
`protected Node` | `newInstance()` This method returns a new instance of the class of this node.
`void` | `setAngle(double value1, double value2)`
`void` | `setAngle(java.lang.String value1, java.lang.String value2)`
`void` | `setAngle1(CustomFunction value)`
`void` | `setAngle1(double value)`
`void` | `setAngle1(java.lang.String value)`
`void` | `setAngle2(CustomFunction value)`
`void` | `setAngle2(double value)`
`void` | `setAngle2(java.lang.String value)`
`void` | `setAngleMode(FloatToFloat value)`
`void` | `setFan(double value1, double value2)`
`void` | `setFan(java.lang.String value1, java.lang.String value2)`
`void` | `setFan1(CustomFunction value)`
`void` | `setFan1(double value)`
`void` | `setFan1(java.lang.String value)`
`void` | `setFan2(CustomFunction value)`
`void` | `setFan2(double value)`
`void` | `setFan2(java.lang.String value)`
`void` | `setFanMode(FloatToFloat value)`
`void` | `setGeometry(boolean value)`
`void` | `setInfluence(CustomFunction value)`
`void` | `setInfluence(double value)`
`void` | `setInfluence(java.lang.String value)`
`void` | `setInitAll(boolean value)`
`void` | `setLocationParameter(LocationParameterBase value)`
`void` | `setLod(PhiBallLOD value)`
`void` | `setNumber(CustomFunction value)`
`void` | `setNumber(double value)`
`void` | `setNumber(java.lang.String value)`
`void` | `setRadius(double valueX, double valueY, double valueZ)`
`void` | `setRadius(float value)`
`void` | `setRadius(java.lang.String valueX, java.lang.String valueY, java.lang.String valueZ)`
`void` | `setRadiusX(CustomFunction value)`
`void` | `setRadiusX(double value)`
`void` | `setRadiusX(java.lang.String value)`
`void` | `setRadiusY(CustomFunction value)`
`void` | `setRadiusY(double value)`
`void` | `setRadiusY(java.lang.String value)`
`void` | `setRadiusZ(CustomFunction value)`
`void` | `setRadiusZ(double value)`
`void` | `setRadiusZ(java.lang.String value)`
`void` | `setScale(double value1, double value2)`
`void` | `setScale(java.lang.String value1, java.lang.String value2)`
`void` | `setScale1(CustomFunction value)`
`void` | `setScale1(double value)`
`void` | `setScale1(java.lang.String value)`
`void` | `setScale2(CustomFunction value)`
`void` | `setScale2(double value)`
`void` | `setScale2(java.lang.String value)`
`void` | `setScaleMode(FloatToFloat value)`
`void` | `setTrans(double value1, double value2)`
`void` | `setTrans(java.lang.String value1, java.lang.String value2)`
`void` | `setTrans1(CustomFunction value)`
`void` | `setTrans1(double value)`
`void` | `setTrans1(java.lang.String value)`
`void` | `setTrans2(CustomFunction value)`
`void` | `setTrans2(double value)`
`void` | `setTrans2(java.lang.String value)`
`void` | `setTransMode(FloatToFloat value)`
`void` | `useLod(boolean value)`

Methods inherited from class de.grogra.imp3d.objects.Sphere
`createRaytracerLeaf, draw, getRadius, pick, pick`

Methods inherited from class de.grogra.imp3d.objects.ShadedNull
`getInterior, getShader, getSymbolColor, isTreatedAsInfinite, setBackShader, setColor, setColor, setFrontShader, setInterior, setMaterial, setShader, setShaders, setTreatedAsInfinite`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getTransform, getTranslation, isTransforming, postTransform, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### angle1$FIELD

    public static final Node.NType.Field angle1$FIELD

### angle2$FIELD

    public static final Node.NType.Field angle2$FIELD

### angleMode$FIELD

    public static final Node.NType.Field angleMode$FIELD

### fan1$FIELD

    public static final Node.NType.Field fan1$FIELD

### fan2$FIELD

    public static final Node.NType.Field fan2$FIELD

### fanMode$FIELD

    public static final Node.NType.Field fanMode$FIELD

### geometry$FIELD

    public static final Node.NType.Field geometry$FIELD

### influence$FIELD

    public static final Node.NType.Field influence$FIELD

### initAll$FIELD

    public static final Node.NType.Field initAll$FIELD

### locationParameter$FIELD

    public static final Node.NType.Field locationParameter$FIELD

### lod$FIELD

    public static final Node.NType.Field lod$FIELD

### number$FIELD

    public static final Node.NType.Field number$FIELD

### radiusX$FIELD

    public static final Node.NType.Field radiusX$FIELD

### radiusY$FIELD

    public static final Node.NType.Field radiusY$FIELD

### radiusZ$FIELD

    public static final Node.NType.Field radiusZ$FIELD

### scale1$FIELD

    public static final Node.NType.Field scale1$FIELD

### scale2$FIELD

    public static final Node.NType.Field scale2$FIELD

### scaleMode$FIELD

    public static final Node.NType.Field scaleMode$FIELD

### trans1$FIELD

    public static final Node.NType.Field trans1$FIELD

### trans2$FIELD

    public static final Node.NType.Field trans2$FIELD

### transMode$FIELD

    public static final Node.NType.Field transMode$FIELD

Constructor Detail

### PhiBall

    public PhiBall()

### PhiBall

    public PhiBall(float n)

### PhiBall

    public PhiBall(float n,
                   float radius)

Method Detail

### fieldModified

    public void fieldModified(PersistenceField field,
                              int[] indices,
                              Transaction t)

  Specified by:
    `fieldModified` in interface `Manageable`
  Overrides:
    `fieldModified` in class `Node`

### getAbsoluteHeight

    public float getAbsoluteHeight()

### getAngle1

    public float getAngle1()

### getAngle2

    public float getAngle2()

### getAngleMode

    public FloatToFloat getAngleMode()

### getChildId

    public int getChildId()

### getDensity

    public float getDensity()

### getFan1

    public float getFan1()

### getFan2

    public float getFan2()

### getFanMode

    public FloatToFloat getFanMode()

### getInfluence

    public float getInfluence()

### getInstantiator

    public Instantiator getInstantiator()

  Overrides:
    `getInstantiator` in class `Node`

### getLocalHeight

    public float getLocalHeight()

### getLocationParameter

    public LocationParameterBase getLocationParameter()

### getLod

    public PhiBallLOD getLod()

### getN1

    public float getN1()

### getN2

    public float getN2()

### getN3

    public float getN3()

### getNTypeImpl

    protected Node.NType getNTypeImpl()

  Description copied from class: `Node`
  This method returns the `Node.NType` which describes the managed fields of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `getNTypeImpl` in class `Sphere`
  Returns:
    type describing the managed fields of the class of this node

### getNumber

    public float getNumber()

### getParentId

    public int getParentId()

### getRadiusX

    public float getRadiusX()

### getRadiusY

    public float getRadiusY()

### getRadiusZ

    public float getRadiusZ()

### getScale1

    public float getScale1()

### getScale2

    public float getScale2()

### getScaleMode

    public FloatToFloat getScaleMode()

### getThisId

    public int getThisId()

### getTrans1

    public float getTrans1()

### getTrans2

    public float getTrans2()

### getTransMode

    public FloatToFloat getTransMode()

### instantiate

    public void instantiate(Instantiation state)

  Specified by:
    `instantiate` in interface `Instantiator<Instantiation>`

### isGeometry

    public boolean isGeometry()

### isInitAll

    public boolean isInitAll()

### newInstance

    protected Node newInstance()

  Description copied from class: `Node`
  This method returns a new instance of the class of this node. This method has to be implemented in every concrete subclass.

  Overrides:
    `newInstance` in class `Sphere`
  Returns:
    new instance of class of this node

### setAngle

    public void setAngle(double value1,
                         double value2)

### setAngle

    public void setAngle(java.lang.String value1,
                         java.lang.String value2)

### setAngle1

    public void setAngle1(CustomFunction value)

### setAngle1

    public void setAngle1(double value)

### setAngle1

    public void setAngle1(java.lang.String value)

### setAngle2

    public void setAngle2(CustomFunction value)

### setAngle2

    public void setAngle2(double value)

### setAngle2

    public void setAngle2(java.lang.String value)

### setAngleMode

    public void setAngleMode(FloatToFloat value)

### setFan

    public void setFan(double value1,
                       double value2)

### setFan

    public void setFan(java.lang.String value1,
                       java.lang.String value2)

### setFan1

    public void setFan1(CustomFunction value)

### setFan1

    public void setFan1(double value)

### setFan1

    public void setFan1(java.lang.String value)

### setFan2

    public void setFan2(CustomFunction value)

### setFan2

    public void setFan2(double value)

### setFan2

    public void setFan2(java.lang.String value)

### setFanMode

    public void setFanMode(FloatToFloat value)

### setGeometry

    public void setGeometry(boolean value)

### setInfluence

    public void setInfluence(CustomFunction value)

### setInfluence

    public void setInfluence(double value)

### setInfluence

    public void setInfluence(java.lang.String value)

### setInitAll

    public void setInitAll(boolean value)

### setLocationParameter

    public void setLocationParameter(LocationParameterBase value)

### setLod

    public void setLod(PhiBallLOD value)

### setNumber

    public void setNumber(CustomFunction value)

### setNumber

    public void setNumber(double value)

### setNumber

    public void setNumber(java.lang.String value)

### setRadius

    public void setRadius(double valueX,
                          double valueY,
                          double valueZ)

### setRadius

    public void setRadius(float value)

  Overrides:
    `setRadius` in class `Sphere`

### setRadius

    public void setRadius(java.lang.String valueX,
                          java.lang.String valueY,
                          java.lang.String valueZ)

### setRadiusX

    public void setRadiusX(CustomFunction value)

### setRadiusX

    public void setRadiusX(double value)

### setRadiusX

    public void setRadiusX(java.lang.String value)

### setRadiusY

    public void setRadiusY(CustomFunction value)

### setRadiusY

    public void setRadiusY(double value)

### setRadiusY

    public void setRadiusY(java.lang.String value)

### setRadiusZ

    public void setRadiusZ(CustomFunction value)

### setRadiusZ

    public void setRadiusZ(double value)

### setRadiusZ

    public void setRadiusZ(java.lang.String value)

### setScale

    public void setScale(double value1,
                         double value2)

### setScale

    public void setScale(java.lang.String value1,
                         java.lang.String value2)

### setScale1

    public void setScale1(CustomFunction value)

### setScale1

    public void setScale1(double value)

### setScale1

    public void setScale1(java.lang.String value)

### setScale2

    public void setScale2(CustomFunction value)

### setScale2

    public void setScale2(double value)

### setScale2

    public void setScale2(java.lang.String value)

### setScaleMode

    public void setScaleMode(FloatToFloat value)

### setTrans

    public void setTrans(double value1,
                         double value2)

### setTrans

    public void setTrans(java.lang.String value1,
                         java.lang.String value2)

### setTrans1

    public void setTrans1(CustomFunction value)

### setTrans1

    public void setTrans1(double value)

### setTrans1

    public void setTrans1(java.lang.String value)

### setTrans2

    public void setTrans2(CustomFunction value)

### setTrans2

    public void setTrans2(double value)

### setTrans2

    public void setTrans2(java.lang.String value)

### setTransMode

    public void setTransMode(FloatToFloat value)

### useLod

    public void useLod(boolean value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD